Send a message
curl --request POST \
--url https://api.inbox.adraa.ai/api/v1/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Hi! Your order has shipped and should arrive on Friday."
}
'import requests
url = "https://api.inbox.adraa.ai/api/v1/conversations/{conversationId}/messages"
payload = { "body": "Hi! Your order has shipped and should arrive on Friday." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('Hi! Your order has shipped and should arrive on Friday.')
})
};
fetch('https://api.inbox.adraa.ai/api/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"id": "cmbxh2k3a0001ph01q8r9s0t1",
"conversationId": "cmbxgz9pq0003ph01m4n5o6p7",
"senderId": "api:cmbxh1k3a0001ph01e6f7g8h9",
"senderType": "agent",
"body": "Hi! Your order has shipped and should arrive on Friday.",
"replyToMessageId": null,
"replyQuote": null,
"metadata": null,
"status": "sent",
"createdAt": "2026-06-12T10:30:00.000Z",
"attachments": [],
"sender": {
"id": "api:cmbxh1k3a0001ph01e6f7g8h9",
"nickname": "API",
"company": "acme",
"role": "automation"
}
}
}{
"error": {
"code": "WHATSAPP_SERVICE_WINDOW_CLOSED",
"message": "WhatsApp's 24-hour reply window is closed. Send an approved template to reopen the conversation."
}
}{
"error": {
"code": "INVALID_API_TOKEN",
"message": "Invalid or revoked API token"
}
}{
"error": {
"code": "CONVERSATION_NOT_FOUND",
"message": "Conversation not found"
}
}Conversations
Send a message
Sends a message to a conversation. The message is delivered on the conversation’s channel — web chat, WhatsApp, or email — and appears in the conversation thread as sent by API. Sending a message does not change the conversation’s assignment.
Rate limit: 60 requests per minute.
POST
/
api
/
v1
/
conversations
/
{conversationId}
/
messages
Send a message
Authorizations
Workspace API token created in Settings → API. Tokens start with adraa_.
Path Parameters
ID of the conversation. Visible in the console URL when a conversation is open: app.inbox.adraa.ai/<workspace>/conversations/<conversationId>, or list conversations with GET /api/v1/conversations.
Example:
"cmbxgz9pq0003ph01m4n5o6p7"
Body
application/json
Message text. Maximum 2000 characters.
Maximum string length:
2000Example:
"Hi! Your order has shipped and should arrive on Friday."
Response
Message sent
Show child attributes
Show child attributes
⌘I